# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/clang /usr/bin/glib-gettextize /usr/bin/groff gcc-c++ pkgconfig(glib-2.0) zlib-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           tilp2
Version:        1.18
Release:        alt1_4
Summary:        Texas Instruments handheld(s) <-> PC communication program
Group:          Sciences/Mathematics
License:        GPLv2+
URL:            https://sourceforge.net/projects/tilp/
Source0:        https://download.sourceforge.net/tilp/%{name}-%{version}.tar.bz2
# This file was omitted from the release tarball of tilp2 1.18 by accident.
Source1:        https://raw.githubusercontent.com/debrouxl/tilp_and_gfm/1.18/tilp/trunk/acinclude.m4
BuildRequires:  intltool
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(ticonv)
BuildRequires:  pkgconfig(tifiles2)
BuildRequires:  pkgconfig(ticables2)
BuildRequires:  pkgconfig(ticalcs2)
Source44: import.info

%description
TiLP2 is a Texas Instruments handhelds <-> PC communication
program for Linux. It is able to use any type of link cable
(Gray/Black/Silver/Direct Link) with any calculator. See
http://lpg.ticalc.org/.

With TiLP, you can transfer files from your PC to your Texas
Instruments calculator, and vice-versa. You can also make a
screen dump, send/receive data, backup/restore contents,
install FLASH applications, or upgrade the  OS.

%prep
%setup -q


sed -i 's/\r$//' README README.linux AUTHORS RELEASE

mkdir -p m4
install -Dpm644 %{_sourcedir}/acinclude.m4 .

%build
autoreconf -vfi
%configure \
	--disable-rpath \
	--with-xinerama
%make_build

make -C po fr.gmo

%install
%makeinstall_std
%makeinstall_std -C man

%find_lang %{name}

%files -f %{name}.lang
%doc README README.linux RELEASE NEWS AUTHORS
%doc --no-dereference COPYING
%{_bindir}/tilp
%{_mandir}/man1/tilp.1*
%{_datadir}/tilp2/
%{_datadir}/applications/tilp.desktop
%{_datadir}/mime/packages/tilp.xml
%{_datadir}/appdata/tilp.appdata.xml


%changelog
* Tue Oct 03 2023 Igor Vlasenko <viy@altlinux.org> 1.18-alt1_4
- update by mgaimport

* Mon Nov 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.18-alt1_3
- update by mgaimport

* Sun Sep 16 2018 Igor Vlasenko <viy@altlinux.ru> 1.18-alt1_2
- update by mgaimport

* Sat Apr 07 2018 Igor Vlasenko <viy@altlinux.ru> 1.18-alt1_1
- new version

